//const { __, _x, _n, _nx } = wp.i18n;
jQuery(document).ready(function($){
var confirmar = gen.confirmar;
var cancelar = gen.cancelar;
var cabecera = gen.cabecera;
var contenido = gen.contenido;
var mensaje = gen.mensaje;
$(".genia").click(function()
{
$("body").append("<div id='dialogo' title='"+cabecera+"'>"+contenido+"<br/><br/><textarea id='prompt' rows='10' style='width:100%;'></textarea></div>");
var resul = $("#dialogo").dialog({
      buttons : {
        [confirmar] : function() {
		var valor = $("#prompt").val();
        $(this).dialog("close");
        openai(true,valor);
  	 },
        [cancelar] : function() {
          $(this).dialog("close");
        }
      }
    })
    });

function openai(resultado,valor)
{
//$('#dialog').dialog({autoOpen: false, modal: true})
//var callAjax = function(){
$.ajax({
method:'post',
data:
{
   name:gen.name,
   id:gen.id,
   prompt: valor
},
url:gen.ajaxurl,
success:function(data){
			var contenido = data.contenido;
			$("body").append("<div id='dialog' title='"+mensaje+"'>"+contenido+"</div>");
			var resul = $("#dialog").dialog({
     			 buttons : {
        		[confirmar] : function() {
        		 window.location.href = window.location.href;
       			 $(this).dialog("close");
        				}
        			}
      			})
      		}
    })
//			location.reload();

//}
//setInterval(callAjax,2000);
}
});

